## ros-indigo-evarobot-slam 0.0.6

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(evarobot_slam)

find_package(catkin REQUIRED COMPONENTS)
catkin_package()

include_directories(
  ${catkin_INCLUDE_DIRS}
)

foreach(dir gazebo_map launch)
    install(DIRECTORY ${dir}/
        DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}/${dir})
endforeach()

=== debian/changelog ===
ros-indigo-evarobot-slam (0.0.6-1trusty) trusty; urgency=high

  * decrease map size
  * decrease map size
  * new map
  * remove rviz folder
  * move rviz to evarobot_viz
  * add sync.launch and move rviz to evarobot_viz
  * move rviz to evarobot_viz
  * add sync.launch and move rviz to evarobot_viz
  * add sync.launch which opens master_discovery and master_sync
  * add master_discovery and master_sync launch files
  * add gmapping
  * comment configurations for multi robot
  * modify odom frame as odom_combined
  * add new gazebo slam map
  * add robotmodel to rviz
  * modified new rviz
  * comment lidar which is run by pc on the evarobot
  * fix master_discovery dependency
  * configure dependencies
  * delete hector_slam rviz
  * change odom frame
  * new rviz
  * tested realtime slam
  * new demo slam map
  * Update SLAM map
  * changelog
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 09 Mar 2016 22:00:00 -0000

ros-indigo-evarobot-slam (0.0.5-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:00:00 -0000

ros-indigo-evarobot-slam (0.0.4-1trusty) trusty; urgency=high



 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Wed, 02 Sep 2015 21:00:00 -0000

ros-indigo-evarobot-slam (0.0.2-1trusty) trusty; urgency=high

  * modified for gmapping slam in gazebo
  * ...
  * modified robot state
  * Contributors: Mehmet Akcakoca

 -- Mehmet Akcakoca <akcakocamehmet@gmail.com>  Thu, 27 Aug 2015 21:00:00 -0000

=== debian/control ===
Source: ros-indigo-evarobot-slam
Section: misc
Priority: extra
Maintainer: Mehmet Akcakoca <akcakocamehmet@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/evarobot_slam
Standards-Version: 3.9.2

Package: ros-indigo-evarobot-slam
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-evapc-start, ros-indigo-evarobot-diagnostics, ros-indigo-evarobot-pose-ekf, ros-indigo-evarobot-state-publisher, ros-indigo-hector-geotiff, ros-indigo-hector-mapping, ros-indigo-master-discovery-fkie, ros-indigo-master-sync-fkie
Description: evarobot_slam provides roslaunch scripts for SLAM map building with the Evarobot.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-evarobot-slam//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
